body {
    background: black;
    margin: 0px auto;
    padding: 0px 0px;
}

main {
    display: flex;
    flex-direction: column;
    margin: 30px;
    min-height: 100vh;
}

p {
    color: rgb(0, 168, 225);
    font: 18px Verdana;
}

main a {
    text-decoration: none;
    font-family: Verdana;
    font-weight: bold;
    color: rgba(2,0,36,1);
}

.book {
    display: flex;
    justify-content: center;
    margin: 0px auto;
    width: 70%;
    padding: 20px;
}

.book_info {
    display: inline-block;
    max-width: 50%;
    vertical-align: top;
    margin-left: 50px;
    text-align: left;
}

.book_img {
    display: flex;
    max-height: 250px;
    width: auto;
    border: 4px solid rgb(0, 168, 225);
    background-color: white;
}

.btn_link_book{
    display: block;
    background-color: rgb(0, 168, 225);
    height: 35px;
    width: 120px;
    border-radius: 10px;
    margin-top: 30px;
    font-size: 15px;
}

.tests {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: auto;
    height: auto;
    margin: 0px auto;
    margin-top: 60px;
}

.test1, .test2, .test3, .final_test {
    background-color: rgba(0,50,119,0.5);
    border: 5px solid rgb(0, 168, 225);
    padding: 15px 30px;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    width: 35%;
}
.test1 {
    border-radius: 10px 0px 0px 0px;
}

.test2 {
    border-radius: 0px 10px 0px 0px;
}

.test3 {
    border-radius: 0px 0px 0px 10px;
}

.final_test {
    border-radius: 0px 0px 10px 0px;
}

h2 {
    display: flex;
    justify-content: center;
    width: 60%;
    color: rgb(0, 168, 225);
    text-shadow: 3px 3px 5px rgba(2,0,36,1);
    margin: 10px 0px;
    font-family: Verdana;
}

.ex_btn {
    display: flex;
    width: max-content;
    background-color: rgba(0,50,119,1);
    color: white;
    border: 4px solid rgb(0, 168, 225);
    padding: 8px 12px;
    border-radius: 10px;
    font: 16px Verdana;
    text-decoration: none;
    margin: 5px;
}
.popup {
    display: none;
}

/* Large desktops and laptops */
@media (min-width: 1200px) {
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
}

/* Portrait tablets and small desktops */
@media (min-width: 768px) and (max-width: 991px) {
    p {
        font-size: 16px;
    }
    .book {
        width: 80%;
    }
    .btn_link_book{
        width: 100px;
        font-size: 14px;
    }
    .test1, .test2, .test3, .final_test {
        padding: 10px;
        width: 45%;
    }
    h2 {
        font-size: 22px;
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 481px) and (max-width: 767px) {
    main {
        margin: 25px;
    }
    p {
        font-size: 12px;
    }
    .book {
        width: auto;
        padding: 10px;
    }
    .book_img {
        margin: auto 0px;
        max-height: 170px;
    }
    .book_info {
        margin-left: 40px;
    }
    .btn_link_book{
        height: 25px;
        width: 90px;
        font-size: 10px;
        margin-top: 17px;
    }
    .test1, .test2, .test3, .final_test {
        width: 100%;
        padding: 10px 25px;
    }
    .test1 {
        border-radius: 10px 10px 0px 0px;
    }
    .test2, .test3 {
        border-radius: 0px;
    }
    .final_test {
        border-radius: 0px 0px 10px 10px;
    }
    h2 {
        font-size: 20px;
    }
    .ex_btn {
        font-size: 14px;
    }
}

/* Portrait phones and smaller */
@media (min-width: 321px) and (max-width: 480px) {
    main {
        margin: 20px;
    }
    .book {
        flex-direction: column;
        width: auto;
        padding: 10px;
    }
    .book_img {
        margin: 0px auto;
        width: 70%;
        height: auto;
    }
    .book_info {
        margin: 10px auto;
        max-width: 90%;
    }
    p {
        font-size: 11px;
    }
    .btn_link_book{
        font-size: 10px;
        margin: 0px auto;
        margin-top: 15px;
        height: 25px;
        width: 90px;
    }
    .tests {
        margin-top: 30px;
    }
    .test1, .test2, .test3, .final_test {
        width: 100%;
        border: 3px solid rgb(0, 168, 225);
        padding: 8px;
    }
    .test1 {
        border-radius: 10px 10px 0px 0px;
    }
    .test2, .test3 {
        border-radius: 0px;
    }
    .final_test {
        border-radius: 0px 0px 10px 10px;
    }
    h2{
        font-size: 16px;
    }
    .ex_btn {
        font-size: 11px;
        margin: auto 0px;
        border: 3px solid rgb(0, 168, 225);
        padding: 6px 10px;
        height: min-content;
    }
}

/* Iphone 5 */
@media (max-width: 320px) {
    main {
        margin: 10px;
    }
    .book {
        flex-direction: column;
        width: auto;
        padding: 10px;
    }
    .book_img {
        margin: 0px auto;
        width: 70%;
        height: auto;
    }
    .book_info {
        margin: 10px auto;
        max-width: 90%;
    }
    p {
        font-size: 11px;
    }
    .btn_link_book{
        font-size: 10px;
        margin: 0px auto;
        margin-top: 15px;
        height: 25px;
        width: 90px;
    }
    .tests {
        margin-top: 30px;
    }
    .test1, .test2, .test3, .final_test {
        width: 100%;
        border: 3px solid rgb(0, 168, 225);
        padding: 8px;
    }
    .test1 {
        border-radius: 10px 10px 0px 0px;
    }
    .test2, .test3 {
        border-radius: 0px;
    }
    .final_test {
        border-radius: 0px 0px 10px 10px;
    }
    h2{
        font-size: 16px;
    }
    .ex_btn {
        font-size: 11px;
        margin: auto 0px;
        border: 3px solid rgb(0, 168, 225);
        padding: 6px 10px;
        height: min-content;
    }
}
